Skip to main content
Weavr API
Sends

Get a send

GET/sends/{id}

Returns the send identified by id, including its current state.

Sends are usually executed immediately, but risk assessment or a transaction confirmation challenge can delay execution. Use the state to determine whether the send needs confirmation, is awaiting approval, is scheduled, has completed, or has failed or been returned.

Request

Path parameters

Responses

200OK

Success

Headers
Body
application/json
{}
SendSend · object · 16 fields
Response example
{  "id": "string",  "profileId": "10001",  "tag": "customer-123",  "source": {    "id": "123456789",    "type": "managed_accounts"  },  "sourceFee": {    "currency": "GBP",    "amount": 1250  },  "destination": {    "id": "123456789",    "type": "managed_accounts"  },  "destinationAmount": {    "currency": "GBP",    "amount": 1250  },  "destinationFee": {    "currency": "GBP",    "amount": 1250  },  "transactionAmount": {    "currency": "GBP",    "amount": 1250  },  "description": "string",  "state": "INVALID",  "challengeExemptionReason": "LOW_VALUE",  "creationTimestamp": 0,  "scheduledTimestamp": "1786118400000",  "executionTimestamp": "string",  "cancellationReason": "string"}